CategoryProperty (Lucene 3.6.2 API)
Keywords: org.apache.lucene.facet.index.attributes.CategoryProperty interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.index.attributes
Interface CategoryProperty

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AssociationFloatProperty, AssociationIntProperty, AssociationProperty, OrdinalProperty

    public interface CategoryProperty

extends Serializable

Property that can be added to `CategoryAttribute`s during indexing. Note that properties are put in a map and could be shallow copied during `CategoryAttributeImpl.clone()`, therefore reuse of `CategoryProperty` objects is not recommended. Also extends `Serializable`, making the `CategoryContainer` serialization more elegant.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Method Summary
`void` | `merge(CategoryProperty other)` When adding categories with properties to a certain document, it is possible that the same category will be added more than once with different instances of the same property.

Method Detail

### merge

    void merge(CategoryProperty other)
               throws UnsupportedOperationException

  When adding categories with properties to a certain document, it is possible that the same category will be added more than once with different instances of the same property. This method defined how to treat such cases, by merging the newly added property into the one previously added. Implementing classes can assume that this method will be called only with a property of the same class.

  Parameters:
    `other` - The category property to merge.
  Throws:
    `UnsupportedOperationException` - If merging is prohibited for this property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD